Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Groovy] Class JavadocAssertionTestSuite

    java.lang.Object
      junit.framework.TestSuite
          groovy.util.JavadocAssertionTestSuite

    class JavadocAssertionTestSuite
    extends TestSuite

`JavadocAssertionTestSuite` will dynamically create test cases from Groovy assertions placed within Javadoc comments. Assertions should be placed within an html tag with a `class="groovyTestCase"` attribute assignment. Example:

    <pre class="groovyTestCase"> assert "example".size() == 7 </pre>

Source files will be read from the directory specified by the `javadocAssertion.src.dir` system property, including all files matching `javadocAssertion.src.pattern` and excluding files matching the `javadocAssertion.src.excludesPattern`. By default all `.java` and `.groovy` source files from `./src` will be scanned for assertions. You can also run this class as an application from the command line (assumes Groovy, JUnit and Ant are on the classpath). As an example:

`java groovy.util.JavadocAssertionTestSuite src/main` Note: this class requires the Ant module at runtime.

Authors:
  Merlyn Albery-Speyer

Field Summary
`static java.lang.String` | `SYSPROP_SRC_DIR` The System Property to set as base directory for collection of Classes.
`static java.lang.String` | `SYSPROP_SRC_EXCLUDES_PATTERN` The System Property to set as a filename excludes pattern for collection of Classes.
`static java.lang.String` | `SYSPROP_SRC_PATTERN` The System Property to set as the filename pattern for collection of Classes.

Method Summary
`static void` | `main(java.lang.String[] args)`
`static Test` | `suite()`
`static Test` | `suite(java.lang.String basedir)`
`static Test` | `suite(java.lang.String basedir, java.lang.String includePattern)`
`static Test` | `suite(java.lang.String basedir, java.lang.String includePattern, java.lang.String excludePattern)`

Field Detail

### SYSPROP_SRC_DIR

    public static final java.lang.String SYSPROP_SRC_DIR

  The System Property to set as base directory for collection of Classes. The pattern will be used as an Ant fileset include basedir. Key is "javadocAssertion.src.dir". Defaults to the `./src` directory

### SYSPROP_SRC_EXCLUDES_PATTERN

    public static final java.lang.String SYSPROP_SRC_EXCLUDES_PATTERN

  The System Property to set as a filename excludes pattern for collection of Classes. When non-empty, the pattern will be used as Regular Expression pattern applied with the find operator against each candidate file.path. Key is "javadocAssertion.src.excludesPattern". Default value is "".

### SYSPROP_SRC_PATTERN

    public static final java.lang.String SYSPROP_SRC_PATTERN

  The System Property to set as the filename pattern for collection of Classes. The pattern will be used as Regular Expression pattern applied with the find operator against each candidate file.path. Key is "javadocAssertion.src.pattern". Defaults to including all `.java` and `.groovy` files.

Method Detail

### main

    static void main(java.lang.String[] args)

### suite

    static Test suite()

### suite

    static Test suite(java.lang.String basedir)

### suite

    static Test suite(java.lang.String basedir, java.lang.String includePattern)

### suite

    static Test suite(java.lang.String basedir, java.lang.String includePattern, java.lang.String excludePattern)

Groovy Documentation